<back to all web services

GetConnectors

The following routes are available for this service:
GET/RestApi/translations/connectors
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    public static class GetConnectors
    {
        
    }

    public static class ConnectorsProxy
    {
        public ArrayList<ConnectorProxy> Connectors = null;
        public HashMap<String,String> LanguagesMapping = null;
        
        public ArrayList<ConnectorProxy> getConnectors() { return Connectors; }
        public ConnectorsProxy setConnectors(ArrayList<ConnectorProxy> value) { this.Connectors = value; return this; }
        public HashMap<String,String> getLanguagesMapping() { return LanguagesMapping; }
        public ConnectorsProxy setLanguagesMapping(HashMap<String,String> value) { this.LanguagesMapping = value; return this; }
    }

    public static class ConnectorProxy
    {
        public String Name = null;
        public String Title = null;
        public Integer Count = null;
        public XliffProxy Xliff = null;
        public ArrayList<LanguagePairProxy> SupportedLanguages = null;
        
        public String getName() { return Name; }
        public ConnectorProxy setName(String value) { this.Name = value; return this; }
        public String getTitle() { return Title; }
        public ConnectorProxy setTitle(String value) { this.Title = value; return this; }
        public Integer getCount() { return Count; }
        public ConnectorProxy setCount(Integer value) { this.Count = value; return this; }
        public XliffProxy getXliff() { return Xliff; }
        public ConnectorProxy setXliff(XliffProxy value) { this.Xliff = value; return this; }
        public ArrayList<LanguagePairProxy> getSupportedLanguages() { return SupportedLanguages; }
        public ConnectorProxy setSupportedLanguages(ArrayList<LanguagePairProxy> value) { this.SupportedLanguages = value; return this; }
    }

    public static class XliffProxy
    {
        public Boolean IsXliff = null;
        public Boolean IsFtp = null;
        public Boolean IsMachineTranslation = null;
        
        public Boolean getIsXliff() { return IsXliff; }
        public XliffProxy setIsXliff(Boolean value) { this.IsXliff = value; return this; }
        public Boolean getIsFtp() { return IsFtp; }
        public XliffProxy setIsFtp(Boolean value) { this.IsFtp = value; return this; }
        public Boolean getIsMachineTranslation() { return IsMachineTranslation; }
        public XliffProxy setIsMachineTranslation(Boolean value) { this.IsMachineTranslation = value; return this; }
    }

    public static class LanguagePairProxy
    {
        public LanguageProxy ActualSource = null;
        public LanguageProxy Target = null;
        
        public LanguageProxy getActualSource() { return ActualSource; }
        public LanguagePairProxy setActualSource(LanguageProxy value) { this.ActualSource = value; return this; }
        public LanguageProxy getTarget() { return Target; }
        public LanguagePairProxy setTarget(LanguageProxy value) { this.Target = value; return this; }
    }

    public static class LanguageProxy
    {
        public String Code = null;
        public String Name = null;
        public Integer Count = null;
        
        public String getCode() { return Code; }
        public LanguageProxy setCode(String value) { this.Code = value; return this; }
        public String getName() { return Name; }
        public LanguageProxy setName(String value) { this.Name = value; return this; }
        public Integer getCount() { return Count; }
        public LanguageProxy setCount(Integer value) { this.Count = value; return this; }
    }

}

Java GetConnectors DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/connectors HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{}